Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/ShowSvgHelp.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/ShowSvgHelp.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/ShowSvgHelp.java	(revision 1335)
@@ -45,12 +45,12 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		MessageDialog.openInformation(new Shell(), TXMUIMessages.ShowSvgHelp_0, 
-				TXMUIMessages.ShowSvgHelp_1 +
-				TXMUIMessages.ShowSvgHelp_2 +
-				TXMUIMessages.ShowSvgHelp_3 +
-				TXMUIMessages.ShowSvgHelp_4 +
-				TXMUIMessages.ShowSvgHelp_5);
+		MessageDialog.openInformation(new Shell(), TXMUIMessages.graphicsKeyboardShortcuts, 
+				TXMUIMessages.panDDotRightMousePlusDrag +
+				TXMUIMessages.zoomInAmpoutDDotMouseWheelORShiftPlusRightMousePlusDrag +
+				TXMUIMessages.zoomToSelectionDDotCtrlPlusLeftMousePlusdrag +
+				TXMUIMessages.EMPTY +
+				TXMUIMessages.resetTheViewDDotF5);
 		return event;
 		
 		/*
@@ -62,4 +62,4 @@
 		 */
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 1335)
@@ -13,55 +13,53 @@
 
 	private static final String BUNDLE_NAME = "org.txm.statsengine.r.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String RPreferencePage_0;
-	public static String RPreferencePage_1;
-	public static String RPreferencePage_2;
-	public static String RPreferencePage_3;
-	public static String RPreferencePage_4;
-	public static String RPreferencePage_5;
-	public static String RPreferencePage_6;
-	public static String RPreferencePage_7;
+	public static String runRServeInDebugMode; 
+	public static String portDefaultIs6311; 
+	public static String pathToRBinary; 
+	public static String remoteConnection; 
+	public static String serverAddress; 
+	public static String user; 
+	public static String password; 
+	public static String useFileBasedRDataTransfert; 
 
-	public static String RPreferencePage_8;
+	public static String rArgs; 
 
-	public static String RPreferencePage_9;
+	public static String rserveArgs; 
 
-	public static String CheckRPackages_0;
-	public static String CheckRPackages_1;
-	public static String CheckRPackages_13;
-	public static String CheckRPackages_14;
-	public static String CheckRPackages_15;
-	public static String CheckRPackages_19;
-	public static String CheckRPackages_2;
-	public static String CheckRPackages_20;
-	public static String CheckRPackages_21;
-	public static String CheckRPackages_22;
+	public static String tXMCouldNotLoadTheTextometryRPackageTheCooccurenceSpecificityAndProgressionCommandsWontBeAvailable; 
+	public static String tXMCouldNotLoadTheFactoMineRRPackageTheCorrespondanceAnalysisClassificationCommandsWontBeAvailable; 
+	public static String anErrorOccuredWhileGettingRWorkspaceInsanceDDot; 
+	public static String the; 
+	public static String packageIsNotInstalledTryingToInstallItNow; 
+	public static String doneDDot; 
+	public static String rPackageDiagnostic; 
+	public static String installedSuccessfully; 
+	public static String packageWasNotInstalledPleaseInstallItManuallyDDotRunRAndExecuteInstallpackages; 
 	public static String CheckRPackages_23;
-	public static String CheckRPackages_24;
-	public static String CheckRPackages_25;
-	public static String CheckRPackages_26;
-	public static String CheckRPackages_3;
-	public static String CheckRPackages_31;
-	public static String CheckRPackages_32;
-	public static String CheckRPackages_33;
-	public static String CheckRPackages_35;
+	public static String errorWhileInstallingPackageDDot; 
+	public static String theRStatEngineIsNotRunningTryingToReinstallThePackagesRServeFactoMineRTextometry; 
+	public static String tXMCouldNotReinstallRPackagesPleaseDoItManuallySeeManual; 
+	public static String necessaryPackagesAreReady; 
+	public static String eRRORDDotRlistFirstElementIsNotREXPIntegerDDot; 
+	public static String eRRORDDotREvalListSizeIs0DDot; 
+	public static String eRRORDDotREvalIsNotAListDDot; 
+	public static String updatingThe; 
 	public static String CheckRPackages_36;
-	public static String CheckRPackages_37;
-	public static String CheckRPackages_4;
-	public static String CheckRPackages_42;
-	public static String CheckRPackages_43;
-	public static String CheckRPackages_44;
-	public static String CheckRPackages_5;
-	public static String CheckRPackages_9;
+	public static String rPackageUpToVersion; 
+	public static String updateOf; 
+	public static String failedCurrentVersionIsStill; 
+	public static String warningDDotWindowsUsersNeedToRestartTXM; 
+	public static String somePackagesAreMissingSeeConsoleForDetails; 
+	public static String checkingRPackages; 
 
-	public static String SendToR_0;
-	public static String SendToR_3;
+	public static String sendingToRWorkspaceDDot; 
+	public static String refreshingViews; 
 
-	public static String RConsole_0;
-	public static String RConsole_1;
-	public static String RVariablesView_1;
-	public static String RVariablesView_2;
-	public static String RVariablesView_9;
+	public static String connectingRConsoleToRWorkspaceStdoutAndStderr; 
+	public static String errorWhileInitializingRConsoleDDot; 
+	public static String refreshVariables; 
+	public static String showEvalLogs; 
+	public static String tXMNameP0SupSupRNameP1; 
 
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 1335)
@@ -231,7 +231,7 @@
 	public void connectToRWorkspace() {
 		if (!readyToDisplay && Toolbox.getEngineManager(EngineType.STATS).isCurrentEngineAvailable()) {
 			RWorkspace rw = null;
-			Log.warning(RUIMessages.RConsole_0);
+			Log.warning(RUIMessages.connectingRConsoleToRWorkspaceStdoutAndStderr);
 			try {
 				rw = RWorkspace.getRWorkspaceInstance();
 				if (rw == null) return;
@@ -246,7 +246,7 @@
 					readyToDisplay = true;
 				//}
 			} catch (RWorkspaceException e) {
-				System.out.println(RUIMessages.RConsole_1 + e);
+				System.out.println(RUIMessages.errorWhileInitializingRConsoleDDot + e);
 				Log.printStackTrace(e);
 			}
 		}
@@ -308,4 +308,4 @@
 			rc.reconnectToRWorkspace();
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1335)
@@ -221,7 +221,7 @@
 		Button export = new Button(parent, SWT.PUSH);
 		export.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				false));
-		export.setText(RUIMessages.RVariablesView_1);
+		export.setText(RUIMessages.refreshVariables);
 		export.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -235,7 +235,7 @@
 		
 		Button logs = new Button(parent, SWT.PUSH);
 		logs.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,	false));
-		logs.setText(RUIMessages.RVariablesView_2);
+		logs.setText(RUIMessages.showEvalLogs);
 		logs.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -336,7 +336,7 @@
 			if (symbol == null)
 				return name;
 			else
-				return NLS.bind(RUIMessages.RVariablesView_9, name, symbol);
+				return NLS.bind(RUIMessages.tXMNameP0SupSupRNameP1, name, symbol);
 		}
 
 		/* (non-Javadoc)
@@ -474,4 +474,4 @@
 		public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 1335)
@@ -66,19 +66,19 @@
 		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 
 		final List list = selection.toList();
-		JobHandler jobhandler = new JobHandler(RUIMessages.SendToR_0+ list) {
+		JobHandler jobhandler = new JobHandler(RUIMessages.sendingToRWorkspaceDDot+ list) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
 					JobsTimer.start();
 					
-					monitor.beginTask(RUIMessages.SendToR_0+ list, 100);
+					monitor.beginTask(RUIMessages.sendingToRWorkspaceDDot+ list, 100);
 					int delta = 100 / list.size();
 					for(Object o : list) {
 						if (o instanceof TXMResult) {
 							try {
-								monitor.subTask(RUIMessages.SendToR_0+ o);
+								monitor.subTask(RUIMessages.sendingToRWorkspaceDDot+ o);
 								this.acquireSemaphore();
 								send((TXMResult)o);
 								this.releaseSemaphore();
@@ -92,7 +92,7 @@
 						}
 					}
 					
-					monitor.subTask(RUIMessages.SendToR_3);
+					monitor.subTask(RUIMessages.refreshingViews);
 					this.syncExec(new Runnable() {
 						@Override
 						public void run() {
@@ -161,4 +161,4 @@
 		}
 	}
 	 */
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 1335)
@@ -48,8 +48,8 @@
 				"cluster",  //$NON-NLS-1$
 				"scatterplot3d")); //$NON-NLS-1$
 		
-		errorMessages.put("textometry", RUIMessages.CheckRPackages_0); //$NON-NLS-1$
-		errorMessages.put("FactoMineR", RUIMessages.CheckRPackages_1); //$NON-NLS-1$
+		errorMessages.put("textometry", RUIMessages.tXMCouldNotLoadTheTextometryRPackageTheCooccurenceSpecificityAndProgressionCommandsWontBeAvailable); //$NON-NLS-1$
+		errorMessages.put("FactoMineR", RUIMessages.tXMCouldNotLoadTheFactoMineRRPackageTheCorrespondanceAnalysisClassificationCommandsWontBeAvailable); //$NON-NLS-1$
 	}
 
 	@Override
@@ -61,9 +61,9 @@
 		
 		Shell shell = new Shell();
 		if (check()) {
-			MessageDialog.openInformation(shell, RUIMessages.CheckRPackages_2, RUIMessages.CheckRPackages_3);
+			MessageDialog.openInformation(shell, RUIMessages.rPackageDiagnostic, RUIMessages.necessaryPackagesAreReady);
 		} else {
-			MessageDialog.openError(shell, RUIMessages.CheckRPackages_4, RUIMessages.CheckRPackages_5);
+			MessageDialog.openError(shell, RUIMessages.rPackageDiagnostic, RUIMessages.somePackagesAreMissingSeeConsoleForDetails);
 		}
 		return null;
 	}
@@ -83,7 +83,7 @@
 	}
 
 	public static boolean check() {
-		System.out.print(RUIMessages.CheckRPackages_9);
+		System.out.print(RUIMessages.checkingRPackages);
 		//Log.info("Checking R packages...");
 		
 		String method = "internal"; // default method is internal //$NON-NLS-1$
@@ -97,7 +97,7 @@
 				rw = RWorkspace.getRWorkspaceInstance();
 			} catch (RWorkspaceException e) {
 				Log.printStackTrace(e);
-				System.out.println(RUIMessages.CheckRPackages_13+e);
+				System.out.println(RUIMessages.anErrorOccuredWhileGettingRWorkspaceInsanceDDot+e);
 				return false;
 			}
 			for (String p : packages.keySet()) {
@@ -121,32 +121,32 @@
 					}
 				} else { // package is not present, install it
 					try {
-						System.out.println(RUIMessages.CheckRPackages_14+p+RUIMessages.CheckRPackages_15);
+						System.out.println(RUIMessages.the+p+RUIMessages.packageIsNotInstalledTryingToInstallItNow);
 						try {rw.eval("detach(\"package:"+p+"\", character.only = TRUE)");} catch(Exception tmpE){} // unload package to be able to reinstall it //$NON-NLS-1$ //$NON-NLS-2$
 						
 						rw.eval("install.packages(\""+p+"\", dependencies=TRUE, method=\""+method+"\", repos=\"http://cran.rstudio.com\");"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 						
 						try {
 							rw.eval("library(\""+p+"\")"); //$NON-NLS-1$ //$NON-NLS-2$
-							System.out.println(RUIMessages.CheckRPackages_19+p+RUIMessages.CheckRPackages_20);
+							System.out.println(RUIMessages.doneDDot+p+RUIMessages.installedSuccessfully);
 						} catch (Exception e) {
 							Log.printStackTrace(e);
-							System.out.println(RUIMessages.CheckRPackages_21+p+RUIMessages.CheckRPackages_22+p+RUIMessages.CheckRPackages_23);
+							System.out.println(RUIMessages.the+p+RUIMessages.packageWasNotInstalledPleaseInstallItManuallyDDotRunRAndExecuteInstallpackages+p+RUIMessages.CheckRPackages_23);
 							ret = false;
 						}
 					} catch (Exception e) {
 						Log.printStackTrace(e);
-						System.out.println(RUIMessages.CheckRPackages_24+e);
+						System.out.println(RUIMessages.errorWhileInstallingPackageDDot+e);
 						ret = false;
 					}
 				}
 			}
 		} else {
-			System.out.println(RUIMessages.CheckRPackages_25);
+			System.out.println(RUIMessages.theRStatEngineIsNotRunningTryingToReinstallThePackagesRServeFactoMineRTextometry);
 			try {
 				installRPAckagesViaRscript();
 			} catch(Exception e) {
-				System.out.println(RUIMessages.CheckRPackages_26);
+				System.out.println(RUIMessages.tXMCouldNotReinstallRPackagesPleaseDoItManuallySeeManual);
 			}
 			ret = false;
 		}
@@ -178,13 +178,13 @@
 					REXPInteger rExpInt = (REXPInteger)elem;
 					return buildVersion(rExpInt);
 				} else {
-					System.out.println(RUIMessages.CheckRPackages_31+elem);
+					System.out.println(RUIMessages.eRRORDDotRlistFirstElementIsNotREXPIntegerDDot+elem);
 				}
 			} else {
-				System.out.println(RUIMessages.CheckRPackages_32+rList);
+				System.out.println(RUIMessages.eRRORDDotREvalListSizeIs0DDot+rList);
 			}
 		} else {
-			System.out.println(RUIMessages.CheckRPackages_33+rRez);
+			System.out.println(RUIMessages.eRRORDDotREvalIsNotAListDDot+rRez);
 		}	
 		return ""; //$NON-NLS-1$
 	}
@@ -204,7 +204,7 @@
 		//System.out.println("comp "+(packages.get(p))+" to "+(v));
 		//System.out.println(packages.get(p).compareTo(v));
 		if (packages.get(p).compareTo(currentVersion) > 0) {
-			System.out.println(RUIMessages.CheckRPackages_35+p+RUIMessages.CheckRPackages_36+currentVersion+RUIMessages.CheckRPackages_37+packages.get(p));
+			System.out.println(RUIMessages.updatingThe+p+RUIMessages.CheckRPackages_36+currentVersion+RUIMessages.rPackageUpToVersion+packages.get(p));
 			
 			try {rw.eval("detach(\"package:"+p+"\", character.only = TRUE)");} catch(Exception tmpE){} // unload package to be able to reinstall it //$NON-NLS-1$ //$NON-NLS-2$
 			
@@ -215,10 +215,10 @@
 			try {rw.eval("library(\""+p+"\")");} catch(Exception tmpE){} // reload it //$NON-NLS-1$ //$NON-NLS-2$
 			String newVersion = getVersion(rw, p);
 			if (!newVersion.equals(packages.get(p))) {
-				System.out.println(RUIMessages.CheckRPackages_42+p+RUIMessages.CheckRPackages_43+newVersion+RUIMessages.CheckRPackages_44);
+				System.out.println(RUIMessages.updateOf+p+RUIMessages.failedCurrentVersionIsStill+newVersion+RUIMessages.warningDDotWindowsUsersNeedToRestartTXM);
 				return false;
 			}
 		}
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 1335)
@@ -87,7 +87,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(RPreferences.getInstance().getPreferencesNodeQualifier()));
-		//this.setTitle(RUIMessages.RPreferencePage_0);
+		//this.setTitle(RUIMessages.runRServeInDebugMode);
 		//FIXME todo if needed
 		//setDescription(Messages.RPreferencePage_1);
 		//this.setImageDescriptor(SpecificitiesAdapterFactory.ICON);
@@ -104,35 +104,35 @@
 	@Override
 	public void createFieldEditors() {
 
-		r_debug = new BooleanFieldEditor(RPreferences.DEBUG, RUIMessages.RPreferencePage_0, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
+		r_debug = new BooleanFieldEditor(RPreferences.DEBUG, RUIMessages.runRServeInDebugMode, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
 		addField(r_debug);
 		
-		r_is_remote = new BooleanFieldEditor(RPreferences.REMOTE, RUIMessages.RPreferencePage_3, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
+		r_is_remote = new BooleanFieldEditor(RPreferences.REMOTE, RUIMessages.remoteConnection, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
 		addField(r_is_remote);
 
-		r_path_to_executable = new FileFieldEditor(RPreferences.PATH_TO_EXECUTABLE, RUIMessages.RPreferencePage_2, getFieldEditorParent());
+		r_path_to_executable = new FileFieldEditor(RPreferences.PATH_TO_EXECUTABLE, RUIMessages.pathToRBinary, getFieldEditorParent());
 		addField(r_path_to_executable);
 		
-		r_rargs = new StringFieldEditor(RPreferences.RARGS, RUIMessages.RPreferencePage_8, getFieldEditorParent());
+		r_rargs = new StringFieldEditor(RPreferences.RARGS, RUIMessages.rArgs, getFieldEditorParent());
 		addField(r_rargs);
 		
-		r_rserveargs = new StringFieldEditor(RPreferences.RSERVEARGS, RUIMessages.RPreferencePage_9, getFieldEditorParent());
+		r_rserveargs = new StringFieldEditor(RPreferences.RSERVEARGS, RUIMessages.rserveArgs, getFieldEditorParent());
 		addField(r_rserveargs);
 				
-		r_use_file_transfert = new BooleanFieldEditor(RPreferences.FILE_TRANSFERT, RUIMessages.RPreferencePage_7, BooleanFieldEditor.DEFAULT,
+		r_use_file_transfert = new BooleanFieldEditor(RPreferences.FILE_TRANSFERT, RUIMessages.useFileBasedRDataTransfert, BooleanFieldEditor.DEFAULT,
 				getFieldEditorParent());
 		addField(r_use_file_transfert);
 
-		r_server_adress = new StringFieldEditor(RPreferences.SERVER_ADDRESS, RUIMessages.RPreferencePage_4, getFieldEditorParent());
+		r_server_adress = new StringFieldEditor(RPreferences.SERVER_ADDRESS, RUIMessages.serverAddress, getFieldEditorParent());
 		addField(r_server_adress);
 		
-		r_port = new IntegerFieldEditor(RPreferences.PORT, RUIMessages.RPreferencePage_1, getFieldEditorParent());
+		r_port = new IntegerFieldEditor(RPreferences.PORT, RUIMessages.portDefaultIs6311, getFieldEditorParent());
 		addField(r_port);
 
-		r_user = new StringFieldEditor(RPreferences.USER, RUIMessages.RPreferencePage_5, getFieldEditorParent());
+		r_user = new StringFieldEditor(RPreferences.USER, RUIMessages.user, getFieldEditorParent());
 		addField(r_user);
 
-		r_password = new StringFieldEditor(RPreferences.PASSWORD, RUIMessages.RPreferencePage_6, getFieldEditorParent());
+		r_password = new StringFieldEditor(RPreferences.PASSWORD, RUIMessages.password, getFieldEditorParent());
 		addField(r_password);
 		
 //		r_svg_device = new StringFieldEditor(R_SVG_DEVICE, Messages.RPreferencePage_5,
@@ -200,8 +200,8 @@
 				RWorkspace.setUseFileCommunication(RPreferences.getInstance().getBoolean(RPreferences.FILE_TRANSFERT));
 			}
 		} catch (Exception e) {
-			System.err.println(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(TXMUIMessages.failedToSavePreferencesDDot + e);
 		}
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 1334)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 1335)
@@ -240,7 +240,7 @@
 				return ((AnnotationType) element).getId()+((AnnotationType) element).getEffect().toSuffix();
 			else if (element instanceof TypedValue)
 				return ((TypedValue) element).getStandardName();
-			return NLS.bind(TXMUIMessages.QueriesView_10, element);
+			return NLS.bind(TXMUIMessages.errorWithElementP0, element);
 		}
 
 		/* (non-Javadoc)
